#!/usr/bin/perl -w

# The package name
package MyAsterisk;
use strict;

# Define external interface
use Exporter;
use vars qw( @ISA @EXPORT @EXPORT_OK );
@ISA = qw( Exporter );

# Always exported into callers namespace
@EXPORT = qw(
	write_call_file
);

# Externally visible if specified
@EXPORT_OK = qw(
);

sub write_call_file
{
	my %params = @_;

	open(CFILE, ">" . $params{filename}) || die $!;

	printf CFILE q{#
Channel: %s

MaxRetries: %s
RetryTime: %s
WaitTime: %s

Application: %s
Data: %s

Callerid: %s
},
    $params{channel},
    $params{retries},
    $params{retrytime},
    $params{waittime},
    $params{application},
    $params{data},
    $params{callerid},
    ;

	close(CFILE);

}


1;

